/* $NoKeywords:$ */
/**
 * @file
 *
 * AMD Family_14 Microcode patch.
 *
 * Fam14 Microcode Patch rev 0500000B for 5800 or equivalent.
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  CPU/FAMILY/0x14
 * @e \$Revision: 34897 $   @e \$Date: 2010-07-14 10:07:10 +0800 (Wed, 14 Jul 2010) $
 *
 */
/*
 *****************************************************************************
 *
 * Copyright (c) 2011, Advanced Micro Devices, Inc.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of 
 *       its contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * ***************************************************************************
 *
 */
/*----------------------------------------------------------------------------------------
 *                             M O D U L E S    U S E D
 *----------------------------------------------------------------------------------------
 */
#include "AGESA.h"
#include "cpuRegisters.h"
#include "cpuEarlyInit.h"

/*----------------------------------------------------------------------------------------
 *                   D E F I N I T I O N S    A N D    M A C R O S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                  T Y P E D E F S     A N D     S T R U C T U R E S
 *----------------------------------------------------------------------------------------
 */

// Patch code 0500000B for 5800 and equivalent
CONST MICROCODE_PATCHES ROMDATA CpuF14MicrocodePatch0500000B_Unenc =
{
0x10,
0x20,
0x01,
0x06,
0x0b,
0x00,
0x00,
0x05,
0x01,
0x80,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x58,
0x00,
0x00,
0x00,
0xaa,
0xaa,
0xaa,
0x92,
0x5d,
0x61,
0xc8,
0x0d,
0xcf,
0xa5,
0xe3,
0x00,
0x00,
0x00,
0x00,
0x0b,
0x00,
0x00,
0x05,
0x56,
0x19,
0x47,
0x10,
0xde,
0x06,
0xcf,
0x01,
0xaf,
0x0f,
0xee,
0x06,
0xac,
0x17,
0xd9,
0x06,
0x80,
0x17,
0xc0,
0x0b,
0xf0,
0x0c,
0xf0,
0x0c,
0xae,
0x38,
0x00,
0x80,
0x00,
0x00,
0x00,
0x00,
0xff,
0x38,
0x00,
0x80,
0x00,
0x18,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0xff,
0x01,
0x7f,
0xc0,
0xc1,
0xdf,
0x0a,
0xe0,
0xfd,
0xff,
0xff,
0x2c,
0xe0,
0x9f,
0x6b,
0xf1,
0xe5,
0xbf,
0x02,
0x00,
0xf0,
0x58,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0xf0,
0x5c,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0xfd,
0xbf,
0x07,
0x00,
0xb7,
0xfe,
0xff,
0x9f,
0xe1,
0x1f,
0xe0,
0xe7,
0xff,
0xdf,
0xff,
0x25,
0xe1,
0x5f,
0xa9,
0xff,
0x21,
0xa0,
0x06,
0x00,
0x7b,
0x92,
0x7f,
0x2a,
0xe1,
0x1f,
0xe0,
0xe7,
0xfe,
0x92,
0x7f,
0x2b,
0xe0,
0x1f,
0xe0,
0xe7,
0xb6,
0x4f,
0x01,
0x00,
0xb7,
0xfe,
0xff,
0x9f,
0xe1,
0x1f,
0xe0,
0xe7,
0xff,
0xdf,
0xff,
0x25,
0xe1,
0x5f,
0xa9,
0xff,
0x1e,
0xa0,
0x06,
0x00,
0x7b,
0x92,
0x7f,
0x2a,
0xe1,
0x1f,
0xe0,
0xe7,
0x80,
0x92,
0x7f,
0x2b,
0xe0,
0x1f,
0xe0,
0xe7,
0xb6,
0x4f,
0x01,
0x00,
0xfe,
0xff,
0xff,
0x2c,
0xe1,
0x1b,
0xab,
0xfe,
0xf4,
0x1d,
0xfe,
0x00,
0xe1,
0xd7,
0xc3,
0xd6,
0x2e,
0xbe,
0x06,
0x00,
0xfe,
0x92,
0x7f,
0x2e,
0xe0,
0x9f,
0xab,
0xfe,
0xff,
0x55,
0x74,
0x40,
0xdb,
0x9f,
0x1b,
0xe0,
0x39,
0xa0,
0x06,
0x00,
0x6f,
0x5e,
0x39,
0x00,
0xc0,
0x1f,
0xd0,
0xeb,
0xff,
0xff,
0xff,
0x00,
0xe1,
0xdd,
0x0b,
0xf9,
0x37,
0xa0,
0x06,
0x00,
0xe5,
0xff,
0xff,
0x00,
0xe1,
0xcf,
0x43,
0xd7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0x9f,
0x59,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xb7,
0xbf,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0x16,
0xe0,
0xff,
0x9f,
0xe1,
0x1f,
0xe0,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x19,
0xa0,
0x06,
0x00,
0xf7,
0x55,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0xff,
0x81,
0x7f,
0x26,
0xe0,
0xdf,
0xe2,
0xeb,
0xff,
0xbf,
0x07,
0x00,
0x43,
0xde,
0x38,
0x00,
0xc0,
0x1f,
0xd0,
0xeb,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x7f,
0x07,
0x00,
0xff,
0x81,
0x6f,
0x00,
0xe0,
0xdf,
0x8b,
0xed,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0xd9,
0x7f,
0xc0,
0xe0,
0x1b,
0x8e,
0xfe,
0xe5,
0xff,
0xff,
0x00,
0xe1,
0xd7,
0xc3,
0xd6,
0x7d,
0xa8,
0x06,
0x00,
0xff,
0xd9,
0x7f,
0xf8,
0xe0,
0x1f,
0xee,
0xe7,
0xff,
0xd3,
0x7f,
0xf9,
0xe0,
0x5f,
0xee,
0xe7,
0x7c,
0xa8,
0x06,
0x00,
0xfe,
0xff,
0xff,
0x00,
0xe1,
0x9d,
0x0b,
0xf9,
0xe4,
0xff,
0xff,
0x00,
0xe1,
0xcf,
0x03,
0xd7,
0x12,
0xa0,
0x06,
0x00,
0x9f,
0x5f,
0x39,
0x00,
0xc0,
0x1f,
0xd0,
0xeb,
0xff,
0xff,
0xff,
0x00,
0xe1,
0xdd,
0x0b,
0xf9,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xdf,
0xff,
0xff,
0x2f,
0xe1,
0x1f,
0xe0,
0xe7,
0xf7,
0x5f,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0x19,
0xad,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0x9b,
0xff,
0x01,
0x53,
0xd5,
0xb1,
0x9f,
0xc5,
0xe7,
0xfd,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x4e,
0xb3,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0x9b,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x20,
0x20,
0x01,
0x00,
0xff,
0x5f,
0x74,
0x6d,
0xd1,
0x9f,
0x1b,
0xe0,
0xfe,
0xde,
0x6f,
0x40,
0xbf,
0x9f,
0xfb,
0xab,
0x20,
0x20,
0x01,
0x00,
0xff,
0xdd,
0x7f,
0xed,
0xe0,
0x5f,
0xeb,
0xff,
0xff,
0xdb,
0x7f,
0xf9,
0xe0,
0x5f,
0xee,
0xe7,
0x55,
0x5e,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0x9b,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x1d,
0x20,
0x01,
0x00,
0xff,
0x5f,
0x74,
0x6d,
0xd1,
0x9f,
0x1b,
0xe0,
0x80,
0xde,
0x6f,
0x40,
0xbf,
0x9f,
0xfb,
0xab,
0x1d,
0x20,
0x01,
0x00,
0xff,
0xdb,
0x7f,
0xed,
0xe0,
0x9f,
0xeb,
0xff,
0xff,
0xdb,
0x7f,
0xf9,
0xe0,
0x5f,
0xee,
0xe7,
0x86,
0x5e,
0x06,
0x00,
0x6b,
0xdd,
0x38,
0x00,
0xc0,
0x1f,
0xd0,
0xeb,
0xfe,
0xff,
0xff,
0x2c,
0xe0,
0x9f,
0x6b,
0xf1,
0x4e,
0xb0,
0x06,
0x00,
0xcc,
0xff,
0xff,
0x2d,
0xe1,
0x1f,
0xe0,
0xac,
0xff,
0xdb,
0x7f,
0x2c,
0xe0,
0x1f,
0x6b,
0xf1,
0x4d,
0xb0,
0x06,
0x00,
0xff,
0xff,
0xff,
0x00,
0xe1,
0xd7,
0x83,
0xd6,
0xff,
0xdd,
0x7f,
0x26,
0xe1,
0x9f,
0xe9,
0xff,
0xfd,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x73,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xbf,
0x81,
0x33,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x01,
0x73,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xbf,
0x01,
0x33,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xfd,
0xbf,
0x07,
0x00,
0xc5,
0xfe,
0xff,
0x9f,
0xe1,
0x1f,
0xe0,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x91,
0xa7,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x8f,
0xae,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0xdb,
0x89,
0xfe,
0x49,
0x1a,
0xfe,
0x00,
0xe1,
0xd7,
0x83,
0xd6,
0xaa,
0xaf,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xa9,
0xaf,
0x06,
0x00,
0xa5,
0x1f,
0xfe,
0x00,
0xe1,
0xcf,
0x43,
0xd7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0xff,
0xbf,
0x2a,
0xe0,
0x1f,
0x6b,
0xf1,
0xff,
0xff,
0xff,
0xff,
0xbf,
0xff,
0xcf,
0xbf,
0xf9,
0xa7,
0x06,
0x00,
0xfd,
0xff,
0xff,
0x2b,
0xe1,
0x9f,
0xeb,
0xfa,
0xff,
0x55,
0x79,
0x2e,
0xa0,
0x5f,
0xcb,
0xe7,
0xf8,
0xa7,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00
};

/*----------------------------------------------------------------------------------------
 *           P R O T O T Y P E S     O F     L O C A L     F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                          E X P O R T E D    F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */
