/* $NoKeywords:$ */
/**
 * @file
 *
 * AMD Family_14 Microcode patch.
 *
 * Fam14 Microcode Patch rev 05000025 for 5010 or equivalent.
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  CPU/FAMILY/0x14
 * @e \$Revision: 37850 $   @e \$Date: 2010-09-13 18:09:57 -0400 (Mon, 13 Sep 2010) $
 *
 */
/*
 *****************************************************************************
 *
 * Copyright (c) 2011, Advanced Micro Devices, Inc.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of 
 *       its contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * ***************************************************************************
 *
 */
/*----------------------------------------------------------------------------------------
 *                             M O D U L E S    U S E D
 *----------------------------------------------------------------------------------------
 */
#include "AGESA.h"
#include "cpuRegisters.h"
#include "cpuEarlyInit.h"

/*----------------------------------------------------------------------------------------
 *                   D E F I N I T I O N S    A N D    M A C R O S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                  T Y P E D E F S     A N D     S T R U C T U R E S
 *----------------------------------------------------------------------------------------
 */

// Patch code 05000025 for 5010 and equivalent
CONST MICROCODE_PATCHES ROMDATA CpuF14MicrocodePatch05000025 =
{
0x10,
0x20,
0x10,
0x09,
0x25,
0x00,
0x00,
0x05,
0x01,
0x80,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x10,
0x50,
0x00,
0x00,
0x00,
0xaa,
0xaa,
0xaa,
0x17,
0xbc,
0xec,
0xce,
0xc4,
0x2e,
0xfb,
0x70,
0xa4,
0x29,
0x87,
0x9b,
0x3f,
0xa9,
0x10,
0xbd,
0xa1,
0x80,
0xc0,
0x68,
0x27,
0x48,
0x71,
0xb4,
0xea,
0xce,
0x31,
0xd5,
0xe4,
0xa1,
0xde,
0xd2,
0x94,
0x1d,
0x8f,
0x0a,
0x68,
0xb7,
0x2a,
0x3c,
0xa3,
0x89,
0x34,
0x1c,
0xc3,
0x3c,
0x6f,
0x16,
0x3e,
0xba,
0xfc,
0x86,
0xde,
0x06,
0xa7,
0x6b,
0xff,
0x30,
0xfd,
0x1f,
0x58,
0x73,
0x4f,
0xf1,
0x1a,
0xf9,
0x1e,
0xca,
0x26,
0xb0,
0x0f,
0x44,
0xb8,
0xdc,
0x94,
0xb8,
0xeb,
0x74,
0xbf,
0x05,
0x67,
0x2e,
0x97,
0x5c,
0x2d,
0xfe,
0x30,
0xde,
0xf9,
0x2e,
0xc0,
0x82,
0x72,
0x8d,
0xbf,
0x1d,
0x7c,
0x24,
0x74,
0x81,
0x41,
0x63,
0x3b,
0x6c,
0xe0,
0x32,
0x3e,
0x64,
0xb9,
0xce,
0x1a,
0x66,
0x6d,
0x6a,
0x99,
0xcf,
0x0d,
0x98,
0x7d,
0x32,
0x80,
0xc6,
0xf9,
0x79,
0x5f,
0xe4,
0x79,
0x6e,
0x2a,
0xd4,
0x19,
0x8c,
0xa1,
0x39,
0x94,
0x0c,
0x26,
0x7f,
0x33,
0x17,
0xc2,
0x86,
0xa2,
0x3a,
0x6f,
0x46,
0x3b,
0x26,
0x0e,
0x7a,
0x28,
0xb5,
0x95,
0x44,
0x05,
0x60,
0x57,
0x2a,
0x52,
0x19,
0x80,
0x2e,
0xc7,
0x53,
0x3c,
0x37,
0x54,
0xe4,
0x3a,
0x30,
0x37,
0x0e,
0x5e,
0xbb,
0x7e,
0x94,
0x82,
0xef,
0xc2,
0x48,
0x65,
0x2c,
0xd2,
0xbd,
0xe2,
0x91,
0x34,
0xf4,
0x5c,
0xec,
0x39,
0xb1,
0xd0,
0x89,
0x81,
0xdc,
0xd5,
0x40,
0xf4,
0x3f,
0x77,
0x05,
0xa1,
0x3b,
0x05,
0x95,
0xb0,
0xef,
0xca,
0xfa,
0xcd,
0xb2,
0xd1,
0x7c,
0xcc,
0x85,
0x62,
0x5e,
0x93,
0x74,
0x2b,
0x56,
0x91,
0x0f,
0x5a,
0x4f,
0xb0,
0x14,
0xe4,
0x90,
0xeb,
0x51,
0x80,
0xd0,
0xaf,
0xa0,
0x10,
0xb3,
0x29,
0x8f,
0x35,
0x5b,
0xdc,
0x61,
0x2a,
0x5c,
0x97,
0x50,
0x8b,
0xe2,
0xc8,
0xa1,
0xce,
0xab,
0x45,
0x3e,
0x87,
0xf1,
0x11,
0x6f,
0x11,
0xd2,
0x4c,
0x04,
0xcf,
0x32,
0x59,
0xf9,
0x5b,
0x88,
0x4a,
0x5b,
0xbc,
0x75,
0x20,
0xf0,
0x41,
0x61,
0x30,
0x63,
0xa1,
0x01,
0xc2,
0xbf,
0xac,
0x33,
0x2f,
0xd1,
0xc6,
0xcf,
0xda,
0xe0,
0xa7,
0x77,
0x41,
0xf3,
0x75,
0x4d,
0x42,
0x2c,
0xf1,
0x8d,
0x44,
0x76,
0x7b,
0xf4,
0xfe,
0xbf,
0x62,
0x0f,
0x48,
0xeb,
0x36,
0xf4,
0x00,
0x08,
0x66,
0x48,
0xde,
0x96,
0xc8,
0xf6,
0x7a,
0xda,
0xb3,
0xba,
0x15,
0x01,
0xcb,
0x7d,
0xd1,
0x70,
0xe8,
0x2a,
0x6f,
0xe3,
0x8d,
0xbf,
0x23,
0x85,
0xb2,
0x23,
0x71,
0x23,
0xae,
0x15,
0xac,
0xbd,
0x31,
0x05,
0xea,
0x8e,
0xfa,
0x03,
0xf3,
0xe2,
0xee,
0xf0,
0x47,
0xac,
0x2c,
0x77,
0xbb,
0x04,
0x2e,
0xde,
0x08,
0x4b,
0x33,
0x26,
0xb9,
0x70,
0xdc,
0x54,
0x51,
0xed,
0xdf,
0x67,
0x64,
0x16,
0xdd,
0x03,
0xb2,
0x43,
0xe8,
0x44,
0xb0,
0x6f,
0x63,
0x9e,
0x3e,
0xef,
0xee,
0x7b,
0xba,
0xf3,
0x84,
0xcc,
0x62,
0x53,
0xd9,
0xd4,
0x39,
0x3e,
0xd7,
0x6b,
0x7d,
0x8b,
0x50,
0x18,
0x05,
0x91,
0x57,
0x46,
0x64,
0xf2,
0xcd,
0x21,
0x3b,
0x2b,
0x35,
0x48,
0xa7,
0xb4,
0x8a,
0xe1,
0xef,
0x77,
0x9e,
0xb5,
0xd9,
0x01,
0xf0,
0xa1,
0x6f,
0x59,
0x01,
0x71,
0x82,
0xa8,
0xfa,
0xe1,
0xcf,
0xa6,
0x04,
0xc7,
0x7a,
0x54,
0x64,
0x0b,
0x51,
0x4d,
0x64,
0x48,
0x6a,
0xe4,
0xfa,
0x16,
0x0e,
0xe0,
0xc4,
0x30,
0x0f,
0xea,
0x08,
0x75,
0xa2,
0xcd,
0x45,
0xd8,
0xcf,
0x31,
0x19,
0x7a,
0xaf,
0x8c,
0xa1,
0x94,
0x67,
0x3d,
0x67,
0x1e,
0x4a,
0x9a,
0x13,
0xe8,
0xb5,
0x6e,
0x20,
0x4b,
0x21,
0x2f,
0x03,
0x96,
0x77,
0x52,
0xaa,
0x0c,
0x72,
0x70,
0xa5,
0xcf,
0xd6,
0x43,
0x9a,
0x65,
0xe0,
0x4d,
0xd7,
0xdc,
0x97,
0x25,
0x59,
0x15,
0xeb,
0x69,
0xd5,
0x73,
0x4d,
0xe0,
0x13,
0xb2,
0xe5,
0xa2,
0x9f,
0xa2,
0x75,
0x92,
0x19,
0x51,
0xce,
0x5d,
0xc2,
0xc8,
0x96,
0x2f,
0x79,
0xf9,
0x3f,
0x2a,
0xfd,
0x1c,
0xbf,
0xe2,
0x10,
0x3d,
0xed,
0xfd,
0xdf,
0x1a,
0xe2,
0x4d,
0x16,
0xfb,
0x3e,
0x85,
0x9e,
0x97,
0xdb,
0xd0,
0x5f,
0x76,
0xc7,
0xd0,
0x97,
0xec,
0x0d,
0x75,
0x2a,
0x33,
0x79,
0xa2,
0x66,
0xc4,
0xf6,
0x02,
0x16,
0x1c,
0x89,
0xc5,
0x4d,
0xf7,
0x18,
0x2b,
0xc6,
0xb3,
0x21,
0x70,
0xd5,
0xf1,
0xed,
0x51,
0x7a,
0xa3,
0xc6,
0xfa,
0x85,
0x27,
0xd5,
0x17,
0xef,
0x38,
0x6a,
0x48,
0xb1,
0x0a,
0x9b,
0x7f,
0x14,
0xce,
0x87,
0xe1,
0x04,
0x76,
0xc2,
0xb6,
0x58,
0xde,
0xa3,
0x03,
0xf2,
0x01,
0x70,
0x95,
0xd2,
0x74,
0xcf,
0xdb,
0x3d,
0x31,
0xec,
0x5e,
0x77,
0xa4,
0xf2,
0x25,
0x47,
0x66,
0x95,
0x7a,
0xfb,
0xc1,
0x75,
0x12,
0x93,
0x54,
0x22,
0xa5,
0x5a,
0xe1,
0x94,
0x57,
0x40,
0x6b,
0xf2,
0xc0,
0xeb,
0x63,
0x59,
0x5b,
0xa5,
0x1f,
0xbc,
0x1c,
0xe8,
0xdb,
0x5b,
0xca,
0xba,
0x88,
0xf2,
0xdb,
0xf2,
0x88,
0x11,
0x7a,
0x58,
0xd2,
0xec,
0x5d,
0xb9,
0x7e,
0x83,
0xef,
0xc7,
0xd9,
0xfa,
0x08,
0x62,
0xf5,
0x15,
0x7b,
0x8a,
0x37,
0xe7,
0x9a,
0x50,
0x3f,
0x0c,
0x84,
0xfc,
0x86,
0xb6,
0xac,
0xa2,
0xd9,
0xa1,
0x4c,
0x4b,
0x5b,
0x57,
0x1c,
0x87,
0x13,
0x5a,
0x0e,
0xf6,
0x85,
0xe5,
0x30,
0x3d,
0x78,
0xd7,
0xc3,
0x17,
0x0b,
0x90,
0xe7,
0xcd,
0xf2,
0xd0,
0x85,
0x61,
0x11,
0xda,
0x89,
0xe9,
0x17,
0x88,
0xe1,
0xec,
0x61,
0x94,
0xba,
0x31,
0x61,
0x94,
0x5d,
0x64,
0xc3,
0xf9,
0x0f,
0x15,
0x60,
0xe7,
0x4d,
0x71,
0x59,
0x6c,
0x72,
0xbe,
0x20,
0xce,
0x72,
0x84,
0xb4,
0x2a,
0x66,
0x53,
0xde,
0x1f,
0x79,
0x34,
0x03,
0x10,
0x75,
0xbd,
0x3b,
0xd9,
0xa3,
0x2b,
0xf9,
0x3f,
0x4c,
0xe8,
0x01,
0x53,
0xa6,
0x47,
0x11,
0x7e,
0x5e,
0xdf,
0x63,
0x28,
0x2e,
0x1d,
0xed,
0x62,
0xe9,
0x6a,
0x10,
0x6b,
0xb7,
0x1b,
0x51,
0xc6,
0x9b,
0x39,
0x2a,
0x4d,
0xec,
0xb9,
0x57,
0x94,
0xbe,
0xc8,
0x43,
0x70,
0x21,
0xd9,
0xa3,
0xfe,
0x24,
0xef,
0xbd,
0xc6,
0x33,
0x3c,
0x1e,
0x79,
0xfc,
0xeb,
0xfc,
0x43,
0xab,
0x1a,
0x3b,
0x90,
0xe9,
0xf5,
0x7f,
0x34,
0x5d,
0x0d,
0xfc,
0xeb,
0x24,
0x1d,
0xed,
0x3c,
0xd2,
0x17,
0x34,
0x3b,
0x2c,
0xfe,
0x16,
0x3b,
0x80,
0x58,
0x78,
0xc2,
0x5e,
0x0e,
0x74,
0x09,
0x7a,
0x19,
0xb1,
0x11,
0x98,
0xe1,
0xf6,
0x5c,
0x03,
0xac,
0xc6,
0x7c,
0xda,
0xdf,
0xac,
0xd5,
0x4a,
0x73,
0x88,
0xfc,
0x19,
0xac,
0x80,
0x49,
0xa1,
0x22,
0x1c,
0xa4,
0x0e,
0x93,
0xbe,
0xb7,
0x5d,
0xaa,
0x00,
0x09,
0x06,
0x31,
0xf4,
0x67,
0xdf,
0x94,
0x44,
0x53,
0x75,
0xf6,
0x02,
0x81,
0xd3,
0x68,
0xcc,
0x0d,
0xf5,
0x7b,
0x6b,
0x74,
0x61,
0xb8,
0x5e,
0xd1,
0x24,
0x6e,
0xa5,
0x3d,
0x25,
0x6a,
0xd8,
0xa5,
0x09,
0x5e,
0x67,
0x11,
0x04,
0xd1,
0xd8,
0x1d,
0x86,
0x57,
0x41,
0xd2,
0xfe,
0xf9,
0x99,
0x9d,
0x7f,
0xb0,
0x85,
0x47,
0x2e,
0x40,
0xd9,
0xf6,
0xf5,
0x93,
0x9f,
0x63,
0x9e,
0xb1,
0x84,
0x68,
0x73,
0xfb,
0x33,
0x95,
0x34,
0x63,
0xae,
0xcc,
0x2c,
0xd6,
0xed,
0xbc,
0x1c,
0xfe,
0xc2,
0x6c,
0x12,
0x04,
0x17,
0xa0,
0x61,
0x1b,
0x73,
0x66,
0xb7,
0x42,
0x51,
0xd0,
0x0e,
0xd3,
0x7a,
0xdd,
0xb6,
0xe3,
0x33,
0xf2,
0x41,
0x90,
0xa7,
0xf9,
0x83,
0x64,
0x19,
0xcb,
0x42,
0xe6,
0xe4,
0xc5,
0xc0,
0x9b,
0xc6,
0xed,
0x8e,
0x63,
0x03,
0xc0,
0x82,
0x17,
0x85,
0x81,
0x6e,
0x6e,
0xf0,
0xf3,
0xd9,
0xac,
0x00,
0xb5,
0x7f,
0x96,
0x93,
0xf8,
0x94,
0x65,
0x05,
0x84,
0x67,
0xe8,
0x0c,
0x70,
0x56,
0x2e,
0x3c,
0x27,
0x96,
0x51,
0x06,
0x61,
0x78,
0x17,
0xee,
0x8b,
0x32,
0xdf,
0x55,
0xf2,
0x07,
0xa6,
0x5a,
0x1d,
0xcc,
0x0f,
0xe4,
0xfa,
0x49,
0xe8,
0x9d,
0x03,
0xf6,
0xd1,
0xf0,
0x01,
0xe6,
0x06,
0xc5,
0x8b,
0x05,
0xb9,
0x1a,
0xbe,
0x29,
0x86,
0xc9,
0xaa,
0x19,
0x3a,
0xe1,
0xcc,
0x1d,
0x69,
0x74,
0x54,
0x46,
0x68,
0x59,
0xaf,
0x53,
0x08,
0x3a,
0x60,
0x9c,
0x1d,
0x4a,
0xab,
0xa5,
0x5b,
0xeb,
0x18,
0xf6,
0x86,
0x52,
0xc9,
0xde,
0xff,
0x7a,
0x2d,
0x6f,
0x41,
0x75,
0xec,
0x55,
0x57,
0x93,
0x40,
0x53,
0x10,
0x7f,
0xb4,
0x86,
0xf6,
0x5d,
0xa5,
0xe3,
0x4d,
0x51,
0xfb,
0xf3,
0x31,
0x6b,
0xa4,
0x9f,
0xfa,
0xe2,
0x0b,
0x61,
0x42,
0x24,
0x7d,
0x44,
0x7f,
0xa9,
0x8b,
0x29,
0x82,
0x72,
0x6b,
0xee,
0xf6,
0x3e,
0xf9,
0xbb,
0xab,
0x32,
0x43,
0xfe,
0x1f,
0x02,
0x2f,
0x61,
0xa3,
0x1e,
0x27,
0x1c,
0xad,
0x9a,
0x08,
0xb7,
0xb9,
0x57,
0xd1,
0xe7,
0x66,
0x99,
0x57,
0xca,
0x3b,
0x0c,
0x2e,
0x75,
0xd5,
0xab,
0xf0,
0x0a,
0x14,
0x64,
0xad,
0xc5,
0x07,
0xa5,
0x91,
0xd1,
0x7c,
0x18,
0x3a,
0xa0,
0x85,
0x30,
0x99,
0x24,
0xbf,
0xdb,
0x4a,
0x09,
0x4b,
0x67,
0xc8,
0xe6,
0x1d,
0x5f,
0x01,
0xa7,
0x32,
0x9f,
0xba,
0x51,
0xe1,
0x5d,
0xb8,
0xbe,
0xb0,
0x39,
0x00,
0x41,
0x38,
0xe6,
0xd1,
0xbd,
0xae,
0x00,
0xad,
0x9b,
0xca,
0xb3,
0xf8,
0x0f,
0xd3,
0x24,
0x57,
0x34,
0xf2,
0x46,
0xb0,
0x8b,
0xce,
0xdd,
0x1b,
0x40,
0x6d,
0xc7,
0xc7,
0x3d,
0x61,
0xe0,
0x76,
0x08,
0x08,
0xd4,
0xfb,
0xb0,
0xdc,
0x2f,
0xde,
0xd9,
0x33,
0xb8,
0x35,
0x71,
0x8f,
0x1d,
0x65,
0xc5,
0xec,
0x78,
0x74,
0xa8,
0x1a,
0xa7,
0x06,
0xb3,
0x99,
0xf9,
0x1a,
0x61,
0xf9,
0xe6,
0x1b,
0xcd,
0xa6,
0xb7,
0xcd,
0x2d,
0xa2,
0xc1,
0xd6,
0xe2,
0x75,
0x1e,
0x38,
0x06,
0xc2,
0x9c,
0x22,
0xf9,
0x5b,
0x55,
0xa8,
0x09,
0x8d,
0x27,
0x7c,
0xb0,
0x3a,
0x69,
0xd8,
0xc9,
0xd6,
0x2c,
0xb0,
0x04,
0xd3,
0xb9,
0xe2,
0x16,
0xdd,
0x42,
0x54,
0x04,
0x0a,
0x97,
0x6f,
0x25,
0xf7,
0xfe,
0x55,
0xe0,
0x56,
0x52,
0xc7,
0x9b,
0x0d,
0x6d,
0x43,
0xd0,
0x26,
0xbf,
0x5d,
0x33,
0x63,
0xae,
0x90,
0x0f,
0x57,
0x66,
0xe4,
0x9d,
0xb6,
0x55,
0xef,
0x4c,
0x12,
0x35,
0xb3,
0x93,
0x70,
0x0b,
0x8c,
0x2b,
0xe5,
0x72,
0x19,
0x73,
0x85,
0x28,
0x41,
0x9d,
0xbd,
0xf3,
0xc0,
0xc9,
0xd0,
0x2b,
0x1d,
0xf2,
0x0e,
0xb8,
0xea,
0x32,
0x8c,
0x49,
0x40,
0x8c,
0xcd,
0xc4,
0x4c,
0x5d,
0x43,
0x9d,
0x69,
0x24,
0x0f,
0x77,
0x0e,
0xe2,
0xb7,
0x86,
0x1d,
0x55,
0xd3,
0x5f,
0x72,
0xa5,
0x20,
0x89,
0x76,
0xe7,
0x07,
0x45,
0xc0,
0x4d,
0x1e,
0x27,
0xc0,
0xed,
0x3b,
0x64,
0xbb,
0xc8,
0x4f,
0x99,
0xad,
0xb2,
0xd3,
0xc6,
0xad,
0x3e,
0xc7,
0x2f,
0x73,
0xee,
0x63,
0x69,
0x90,
0x8c,
0x0a,
0x3f,
0x40,
0xff,
0xa9,
0x16,
0x72,
0x95,
0x87,
0x02,
0xca,
0xa6,
0x7c,
0xd5,
0x88,
0x6f,
0x20,
0x0a,
0xba,
0xe3,
0xdb,
0x8a,
0x5a,
0x4c,
0x60,
0x53,
0xc9,
0x35,
0x59,
0x98,
0xf1,
0x08,
0xc6,
0xb8,
0x9d,
0x72,
0xe1,
0xee,
0xc6,
0x70,
0x0e,
0x11,
0xbe,
0xf6,
0xbd,
0x01,
0x37,
0xbf,
0x54,
0x5f,
0xf1,
0xf0,
0x0a,
0x31,
0x36,
0x9f,
0xb9,
0x9b,
0xf8,
0xbc,
0x3a,
0x97,
0x68,
0xb4,
0xd1,
0xfd,
0x8b,
0x45,
0x56,
0x5b,
0x7f,
0x46,
0x76,
0x00,
0x67,
0xbc
};

/*----------------------------------------------------------------------------------------
 *           P R O T O T Y P E S     O F     L O C A L     F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                          E X P O R T E D    F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */
