/* $NoKeywords:$ */
/**
 * @file
 *
 * AMD Family_14 Microcode patch.
 *
 * Fam14 Microcode Patch rev 05000025 for 5810 or equivalent.
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  CPU/FAMILY/0x14
 * @e \$Revision: 37850 $   @e \$Date: 2010-09-13 18:09:57 -0400 (Mon, 13 Sep 2010) $
 *
 */
/*
 *****************************************************************************
 *
 * Copyright (c) 2011, Advanced Micro Devices, Inc.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of 
 *       its contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * ***************************************************************************
 *
 */
/*----------------------------------------------------------------------------------------
 *                             M O D U L E S    U S E D
 *----------------------------------------------------------------------------------------
 */
#include "AGESA.h"
#include "cpuRegisters.h"
#include "cpuEarlyInit.h"

/*----------------------------------------------------------------------------------------
 *                   D E F I N I T I O N S    A N D    M A C R O S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                  T Y P E D E F S     A N D     S T R U C T U R E S
 *----------------------------------------------------------------------------------------
 */

// Patch code 05000025 for 5810 and equivalent
CONST MICROCODE_PATCHES ROMDATA CpuF14MicrocodePatch05000025_Unenc =
{
0x10,
0x20,
0x10,
0x09,
0x25,
0x00,
0x00,
0x05,
0x01,
0x80,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x10,
0x58,
0x00,
0x00,
0x00,
0xaa,
0xaa,
0xaa,
0x43,
0x72,
0xae,
0x08,
0x06,
0x9e,
0x82,
0x91,
0x00,
0x00,
0x00,
0x00,
0x25,
0x00,
0x00,
0x05,
0x87,
0x01,
0x17,
0x11,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xf0,
0x0c,
0xae,
0x38,
0x00,
0x80,
0x00,
0x00,
0x00,
0x00,
0xff,
0x38,
0x00,
0x80,
0x00,
0x18,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0x00,
0xff,
0x01,
0x7d,
0xc0,
0xc1,
0x9f,
0xc9,
0xeb,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x1f,
0xa0,
0x02,
0x00,
0xff,
0x01,
0x73,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xfd,
0xbf,
0x07,
0x00,
0xff,
0xfe,
0xff,
0x00,
0xe1,
0xdb,
0xcb,
0xfe,
0x60,
0x11,
0xfe,
0x00,
0xe1,
0xd7,
0x83,
0xd6,
0xdf,
0xaf,
0x06,
0x00,
0xdf,
0xff,
0xff,
0x00,
0xe1,
0xdb,
0xcb,
0xfe,
0xe0,
0xff,
0xff,
0x00,
0xe1,
0xd7,
0x83,
0xd6,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xdf,
0xff,
0xff,
0x2f,
0xe1,
0x1f,
0xe0,
0xe7,
0xf7,
0x5f,
0x39,
0x00,
0xa0,
0x1f,
0xc0,
0xe7,
0x21,
0xa0,
0x06,
0x00,
0xff,
0x01,
0x5d,
0xd5,
0xd1,
0x9f,
0xc5,
0xeb,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x03,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x45,
0xb3,
0x06,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0x9b,
0xff,
0x01,
0x53,
0xd5,
0xb1,
0x9f,
0xc5,
0xe7,
0xfd,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x6f,
0x00,
0xe1,
0x1f,
0xc0,
0x9b,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xfe,
0x7f,
0x03,
0x00,
0xbf,
0x01,
0x3d,
0xc0,
0xc1,
0x9f,
0xc9,
0xeb,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x03,
0x00,
0xbf,
0x01,
0x33,
0xc0,
0xa1,
0x9f,
0xc9,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xfd,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0x77,
0x5e,
0x06,
0x00,
0x9f,
0xfc,
0xff,
0x00,
0xe1,
0x5b,
0x8a,
0xfe,
0xfe,
0xff,
0xff,
0x2e,
0xe1,
0x17,
0xe0,
0xca,
0x85,
0xbf,
0x06,
0x00,
0xb0,
0xdd,
0x38,
0x80,
0xa1,
0x1f,
0xc0,
0xe7,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0x81,
0x7f,
0x00,
0xe1,
0x1f,
0xc0,
0xbf,
0xff,
0xbf,
0x07,
0x00
};

/*----------------------------------------------------------------------------------------
 *           P R O T O T Y P E S     O F     L O C A L     F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                          E X P O R T E D    F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */
