/* $NoKeywords:$ */
/**
 * @file
 *
 * SMU firmware.
 *
 *
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  GNB
 * @e \$Revision: 37675 $   @e \$Date: 2010-09-09 22:33:48 +0800 (Thu, 09 Sep 2010) $
 *
 */
/*
 *****************************************************************************
 *
 * Copyright (c) 2011, Advanced Micro Devices, Inc.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of 
 *       its contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * ***************************************************************************
 *
 */


#ifndef  _F14NBSMUFIRMWARE_H_
#define  _F14NBSMUFIRMWARE_H_

UINT32 DataBlock0[] = {
  0x00020100,
  0xbdff018e,
  0x00ce3d9d,
  0x00ce1810,
  0xa6082000,
  0x00a71800,
  0x8c081808,
  0xf3251000,
  0x270000cc,
  0xda9dce0b,
  0x8308006f,
  0xf8260100,
  0x9dbd248d,
  0x90fb2040,
  0xde20900a,
  0x02de3c00,
  0x3c04de3c,
  0x9f3c06de,
  0x06df3806,
  0x3804df38,
  0xdf3802df,
  0x06de3b00,
  0xce069f3c,
  0x90fc0c83,
  0xfc02ed02,
  0x00ed0090,
  0x1caa7fce,
  0x82ce0300,
  0x3191ccda,
  0x82ce00ed,
  0x5d91cce2,
  0x82ce00ed,
  0x5b94cce4,
  0x82ce00ed,
  0x699bcce6,
  0x82ce00ed,
  0x2891cce8,
  0x82ce00ed,
  0xce00edea,
  0x00edec82,
  0xedee82ce,
  0xf082ce00,
  0x82ce00ed,
  0xce00edf2,
  0x93ccf482,
  0xce00ed9d,
  0x9accf682,
  0xce00ed3c,
  0x91ccf882,
  0xce00edb5,
  0x91ccfa82,
  0xbd00edf8,
  0x82ce349b,
  0x6698cc9a,
  0xce0e00ed,
  0x01c6ed84,
  0x02c600e7,
  0x9dcc00e7,
  0x659dfd44,
  0xcfa09dfd,
  0x00defd20,
  0x3c02de3c,
  0xde3c04de,
  0x069f3c06,
  0x3806df38,
  0xdf3804df,
  0x00df3802,
  0x3c00de3b,
  0xde3c02de,
  0x06de3c04,
  0x38069f3c,
  0xdf3806df,
  0x02df3804,
  0x3b00df38,
  0x9f3c06de,
  0x06df3806,
  0x3c06de39,
  0x7ece069f,
  0xe7dfc601,
  0x647ece00,
  0xed02ffcc,
  0x627ece00,
  0xed0086cc,
  0x017ece00,
  0x20c400e6,
  0x95bdf727,
  0x06df3801,
  0x3c06de39,
  0x85ce069f,
  0xce00e607,
  0x8c4f0000,
  0x06260000,
  0x0100831a,
  0x008c2d27,
  0x2b362e00,
  0x00831a34,
  0x8c0b2201,
  0x29260000,
  0x0f2700dd,
  0x008c2320,
  0x1a1e2600,
  0x27020083,
  0xcc162012,
  0x95bd0885,
  0xcc0e2029,
  0x95bd3085,
  0xcc062029,
  0x95bd5885,
  0x06df3829,
  0x3c06de39,
  0x08de069f,
  0x3c0ade3c,
  0x1daa7fce,
  0x7fce0100,
  0x10001c8f,
  0x6b8d1bc6,
  0x36377f84,
  0x92bd1bc6,
  0x8d04c6f7,
  0x8f7fce5e,
  0xce10001d,
  0x001daa7f,
  0x01001c01,
  0xdf383131,
  0x08df380a,
  0x3906df38,
  0x9f3c06de,
  0x3c08de06,
  0xce3c0ade,
  0x001daa7f,
  0x8f7fce01,
  0xc610001c,
  0x8a288d1b,
  0xc6363780,
  0xf792bd1b,
  0x1b8d04c6,
  0x1d8f7fce,
  0x7fce1000,
  0x01001daa,
  0x3101001c,
  0x0adf3831,
  0x3808df38,
  0xde3906df,
  0x069f3c06,
  0xde3c08de,
  0x0cde3c0a,
  0x3c0ede3c,
  0x00cc0dd7,
  0x4f36374d,
  0xcc36375f,
  0x02ce6000,
  0x3697bd00,
  0xce6400cc,
  0x97bd0002,
  0xcc08df14,
  0x3637cd00,
  0x36375f4f,
  0xce6000cc,
  0x97bd0002,
  0xd68f1836,
  0x188f180d,
  0x007f0edf,
  0xdd0edc0e,
  0x0f007f0c,
  0x180e007f,
  0x18381838,
  0xdc381838,
  0x26018508,
  0x8f0cde08,
  0xdf8f018a,
  0x370edc0c,
  0x370cdc36,
  0x6400cc36,
  0xbd0002ce,
  0x00cc3697,
  0x4f36374e,
  0xcc36375f,
  0x02ce6000,
  0x3697bd00,
  0xce6400cc,
  0x97bd0002,
  0x18381814,
  0x18381838,
  0x18381838,
  0x38180edf,
  0x180cdf18,
  0x0adf1838,
  0xdf183818,
  0x18381808,
  0xde3906df,
  0x069f3c06,
  0xde3c08de,
  0x0cde3c0a,
  0x3c0ede3c,
  0x00cc0dd7,
  0x4f36374d,
  0xcc36375f,
  0x02ce6000,
  0x3697bd00,
  0xce6400cc,
  0x97bd0002,
  0xcc08df14,
  0x3637cd00,
  0x36375f4f,
  0xce6000cc,
  0x97bd0002,
  0xd68f1836,
  0x188f180d,
  0x007f0edf,
  0x0d007f0e,
  0x4f0c007f,
  0x0002ce5f,
  0xda0e9a8f,
  0x0edd8f0f,
  0x06de0cdf,
  0x0e9a05ec,
  0x0cde0fda,
  0x38180edd,
  0x38183818,
  0x08dc3818,
  0x06260185,
  0x8f018a8f,
  0x0edc0cdf,
  0x0cdc3637,
  0x00cc3637,
  0x0002ce64,
  0x383697bd,
  0x0edf3838,
  0x380cdf38,
  0xdf380adf,
  0x06df3808,
  0x3c06de39,
  0x08de069f,
  0x3c0ade3c,
  0xde3c0cde,
  0x85ce3c0e,
  0xdd02ec90,
  0xdd00ec0e,
  0x5f0edc0c,
  0x04caf084,
  0x0edd0e8a,
  0x1daa7fce,
  0x0cde0100,
  0xdd7196bd,
  0xce08df0a,
  0x00e69785,
  0x0adc0626,
  0x0420118a,
  0xef840adc,
  0x36370add,
  0x363708dc,
  0x0cde0edc,
  0xcebc96bd,
  0x001caa7f,
  0x38383801,
  0xdf380edf,
  0x0adf380c,
  0x3808df38,
  0xde3906df,
  0x069f3c06,
  0x80ce8f18,
  0x2600e6ff,
  0xe704c60c,
  0x207ece00,
  0x2001001c,
  0x04001c03,
  0xc6007ece,
  0xce00e7ef,
  0x00ec217e,
  0xd300df18,
  0x277ece00,
  0x7ece00ed,
  0xc400e600,
  0xcef72710,
  0x001dff80,
  0x2600e604,
  0x207ece06,
  0x3801001d,
  0xde3906df,
  0x069f3c06,
  0xe68385ce,
  0x2701c400,
  0xb885ce74,
  0x02ed5f4f,
  0x85ce00ed,
  0xed02edbc,
  0xc085ce00,
  0x00ed02ed,
  0xedc485ce,
  0xce00ed02,
  0x02edc885,
  0x85ce00ed,
  0xed02edcc,
  0x8285ce00,
  0x08c400e6,
  0x97bd0326,
  0xff80ceaa,
  0xce08001c,
  0x00e68285,
  0x7ecef0c4,
  0xe701ca20,
  0x217ece00,
  0xce00ee1a,
  0x00ec8085,
  0x8f1800dd,
  0x8f1800d3,
  0x1a297ece,
  0x7ece00ef,
  0xe7dfc600,
  0x027ece00,
  0x2020001c,
  0xff80ce20,
  0xe608001d,
  0xce062600,
  0x001d207e,
  0x007ece01,
  0x00e7dfc6,
  0x1d027ece,
  0x99bd2000,
  0x06df38c1,
  0x3c08de39,
  0xb65086ce,
  0x19270086,
  0x00a60897,
  0xa703a616,
  0xec03e700,
  0xe702a701,
  0x3a04c601,
  0x2e08007a,
  0x08df38e9,
  0x3c08de39,
  0xde3c0ade,
  0x08dd3c0c,
  0x86607ece,
  0xcc0ba701,
  0x0cedc015,
  0xedc115cc,
  0x0080cc0e,
  0xc6cc0add,
  0xdc0cdd54,
  0x868f1808,
  0xdc089709,
  0xdc00ed0a,
  0xa602ed0c,
  0x27018407,
  0x00ec18fa,
  0xec1800ed,
  0xa602ed02,
  0x27018407,
  0x8a0adcfa,
  0xdc00ed01,
  0xcb02ed0c,
  0xa60cdd04,
  0x27018407,
  0x00ec18fa,
  0xec1800ed,
  0xc602ed02,
  0xa63a1804,
  0x27018407,
  0x08007afa,
  0x0adcb52e,
  0x0cdc00ed,
  0x07a602ed,
  0xfa270184,
  0xed00ec18,
  0x02ec1800,
  0x07a602ed,
  0xfa270184,
  0x380ba74f,
  0xdf380cdf,
  0x08df380a,
  0x06de1839,
  0x069f3c18,
  0x807fce18,
  0x3701a718,
  0x02caf8c4,
  0x8f00e718,
  0xfc8a0384,
  0x1803a718,
  0xfd8602e7,
  0x8604a718,
  0x07c43301,
  0x5a480427,
  0xa718fc2e,
  0x0002cc05,
  0x1806a718,
  0x06de07e7,
  0x181606a6,
  0xed1808ed,
  0xb703860a,
  0x7fb68c7f,
  0x2680848c,
  0x06df38f9,
  0x7fce1839,
  0x01a71880,
  0xf8c43737,
  0xe71804ca,
  0x03848f00,
  0xa718fc8a,
  0x02e71803,
  0xa718fd86,
  0x33018604,
  0x042707c4,
  0xfc2e5a48,
  0xcc05a718,
  0xa7180002,
  0x07e71806,
  0x7fb70186,
  0x8c7fb68c,
  0xf9268084,
  0x1803c433,
  0x00e6183a,
  0x7fce1839,
  0x01a71880,
  0xcaf8c437,
  0x00e71804,
  0x03a7188f,
  0x4f02e718,
  0x3304a718,
  0x042704c4,
  0x0220f086,
  0xa7180f86,
  0x0002cc05,
  0x1806a718,
  0x018607e7,
  0xb68c7fb7,
  0x80848c7f,
  0xa618f926,
  0x02e61803,
  0x01a6188f,
  0x3900e618,
  0x1806de18,
  0x18069f3c,
  0x18807fce,
  0xc43701a7,
  0x00e718f8,
  0x03a7188f,
  0x4f02e718,
  0x3304a718,
  0x042704c4,
  0x0220f086,
  0xa7180f86,
  0x0002cc05,
  0x1806a718,
  0x06de07e7,
  0xe71807ec,
  0x09a71808,
  0xe71805ec,
  0x0ba7180a,
  0x7fb70386,
  0x8c7fb68c,
  0xf9268084,
  0x3906df38,
  0x807fce18,
  0x3701a718,
  0x04caf8c4,
  0x8f00e718,
  0xfc8a0384,
  0x1803a718,
  0xfd8602e7,
  0x7e04a718,
  0xde188b96,
  0x9f3c1806,
  0x7fce1806,
  0x01a71880,
  0xcaf8c437,
  0x00e71802,
  0x8a03848f,
  0x03a718fc,
  0x8602e718,
  0x04a718fd,
  0xeddb967e,
  0x8407a602,
  0x39fa2701,
  0x018407a6,
  0xce39fa27,
  0x046fc010,
  0xed8f184f,
  0xa7078605,
  0x6400cc09,
  0x09a607ed,
  0xfa270184,
  0x0fc48f18,
  0x17274d17,
  0x04e740c6,
  0x07c6056f,
  0x04c609e7,
  0x09e606e7,
  0xfa2701c4,
  0xecef2e4a,
  0xfecc3902,
  0xfc84fd00,
  0xfdf370cc,
  0x00ccfe84,
  0xfa84fd03,
  0x8de0d6bd,
  0xa085f775,
  0x8fa185b7,
  0x86a285b7,
  0xff84b7f6,
  0x8de0d6bd,
  0xa385f761,
  0x8fa685b7,
  0x86a785b7,
  0xff84b7f9,
  0x8de0d6bd,
  0xae85fd4d,
  0xad85b78f,
  0x84b7fc86,
  0xe0d6bdff,
  0x85fd3c8d,
  0x85b78faa,
  0xb7ff86a9,
  0xd6bdff84,
  0xf72b8de0,
  0x85b7a485,
  0x85b78fa5,
  0x0a71cca8,
  0xbdfe84fd,
  0x85cee0d6,
  0x02ee1a00,
  0x185401e6,
  0x1856468f,
  0x8f18548f,
  0x84fd5646,
  0x08de39be,
  0x0085ce3c,
  0x03a600e6,
  0x01e608dd,
  0x007902a6,
  0x79495909,
  0x00790800,
  0x79495909,
  0x00790800,
  0x79495909,
  0x08de0800,
  0xdf183818,
  0x08de3908,
  0x0090cc3c,
  0xcc5884fd,
  0x84fde4c6,
  0xc3e4bd5a,
  0xb60000ce,
  0xc4165f84,
  0x04163a01,
  0x3a01c404,
  0xc4040416,
  0x04163a01,
  0x3a01c404,
  0x04cb508f,
  0xce4f08d7,
  0x9abdb885,
  0x4f08d60a,
  0xbdc085ce,
  0x85f60a9a,
  0x1809d7a6,
  0xbdb885ce,
  0x85f6ee99,
  0x1809d7a7,
  0xbdc085ce,
  0x8086ee99,
  0x85b60897,
  0x27048482,
  0x607ece5b,
  0x08a70386,
  0xed70fecc,
  0x0200cc04,
  0x04a606ed,
  0x018407a6,
  0x03a6fa27,
  0x44440484,
  0xce5f0188,
  0x9abdc885,
  0xa585f60a,
  0xce1809d7,
  0x99bdc885,
  0xcc85ceee,
  0x0000ce18,
  0x142600ec,
  0x102602a6,
  0x85b103a6,
  0x18092ca4,
  0xb6be84fe,
  0x0897a885,
  0xab7fff18,
  0xad7fb74f,
  0xf6ac85ce,
  0xfe18a085,
  0x2026bc85,
  0x26be85b6,
  0xbf85b61b,
  0xa1a385f6,
  0xf6112d03,
  0x02a1a285,
  0x85f60a2d,
  0x2d01a1a1,
  0xa085f603,
  0x85ce09d7,
  0xa085f6a8,
  0xc485fe18,
  0x85b61d26,
  0xb61826c6,
  0x01a1c785,
  0x85f6112e,
  0x2e02a1a1,
  0xa285f60a,
  0x032e03a1,
  0xd1a385f6,
  0xd7022e09,
  0x4f08d609,
  0xd68f1805,
  0xeabd4f09,
  0xcc09d740,
  0x84fd0091,
  0x0cc4cc58,
  0xbd5a84fd,
  0x09d6c3e4,
  0xc65d84f7,
  0x5884f781,
  0xfc92e4bd,
  0x7ef38085,
  0x297efd21,
  0x7eb7df86,
  0x08df3800,
  0x0091cc39,
  0xcc5884fd,
  0x84fd0cc4,
  0xc3e4bd5a,
  0xf7a085f6,
  0x81c65d84,
  0xbd5884f7,
  0x85b692e4,
  0x27048482,
  0xfd4f5f08,
  0x7fb7ab7f,
  0xec1839ad,
  0x02eecd00,
  0x2709007d,
  0x468f040a,
  0x007a8f56,
  0x18f62609,
  0xefcd04ed,
  0x58583906,
  0x02e35858,
  0x00ec02ed,
  0x008900c9,
  0x04ec00ed,
  0x8f184353,
  0x435306ec,
  0x180100c3,
  0x8900c98f,
  0xe38f1800,
  0x1802ed02,
  0xa901e98f,
  0x3900ed00,
  0xde3c06de,
  0x069f3c08,
  0x1daa7fce,
  0x7fce0100,
  0x10001c8f,
  0xced60ccc,
  0x96bd0000,
  0xc608d725,
  0xcc3437c8,
  0x00ced60c,
  0xcd95bd00,
  0xced70ccc,
  0x96bd0000,
  0x3720ca25,
  0xd70ccc34,
  0xbd0000ce,
  0xd8c6cd95,
  0x0ccc3437,
  0x0000ced6,
  0xc6cd95bd,
  0xcc34371f,
  0x00ced70c,
  0xcd95bd00,
  0x3437d9c6,
  0xced60ccc,
  0x95bd0000,
  0xd70ccccd,
  0xbd0000ce,
  0x8f302596,
  0x8f0a00c3,
  0x2620c435,
  0xd6448d02,
  0xcc343708,
  0x00ced60c,
  0xcd95bd00,
  0x00a0cc38,
  0xbd0002ce,
  0x20ca2596,
  0x022722c1,
  0xa0cc258d,
  0x0002ce01,
  0xc12596bd,
  0x8d022710,
  0x8f7fce16,
  0xce10001d,
  0x001daa7f,
  0x01001c01,
  0x3808df38,
  0xce3906df,
  0x0386607e,
  0xffcc08a7,
  0xcc04ed30,
  0x06ede701,
  0x00ed5f4f,
  0x02ed7fc6,
  0x018407a6,
  0x01ccfa27,
  0x5f06ede9,
  0xed00ed4f,
  0x8407a602,
  0x01fa2701,
  0x39fd20cf,
  0xcc607ece,
  0x04ed30ff,
  0xed3d26cc,
  0xfe00cc06,
  0xbd5f00ed,
  0x0fcc5f97,
  0xcc06ede2,
  0x00edfe00,
  0x5f97bd5f,
  0xed5422cc,
  0xfcffcc06,
  0xfccc00ed,
  0x5f97bd00,
  0x3c08de39,
  0xde3c0ade,
  0x0ede3c0c,
  0xb7df863c,
  0x7ece017e,
  0x02ffcc60,
  0x9dcc04ed,
  0xb602ed64,
  0x2084017e,
  0x01ccf927,
  0xcc08dd01,
  0x0add1100,
  0xdd0000cc,
  0x0f00cc0c,
  0x9cbd0edd,
  0x3001cca9,
  0x80cc08dd,
  0xcc0add62,
  0x0cddffff,
  0xddfff7cc,
  0xdb9cbd0e,
  0xdd0200cc,
  0xffffcc0a,
  0xffcc0cdd,
  0xbd0eddfb,
  0x80ccdb9c,
  0xcc0add63,
  0x0cdd0101,
  0xdd0080cc,
  0xa99cbd0e,
  0xdd6280cc,
  0x0000cc0a,
  0x00cc0cdd,
  0xbd0edd01,
  0x80cca99c,
  0xcc0add60,
  0x0cdd0000,
  0xdd0100cc,
  0xa99cbd0e,
  0x0200ce18,
  0x54207ef6,
  0xbd545454,
  0x94bd6f97,
  0x1001cc0b,
  0x00cc08dd,
  0xcc0add10,
  0x0cdd0000,
  0xdd0100cc,
  0xcc7e8d0e,
  0x08dd3001,
  0xdd6080cc,
  0x0301cc0a,
  0x9dbd0cdd,
  0x3001cc0d,
  0x80cc08dd,
  0xcc0add62,
  0x0cddffff,
  0xddfeffcc,
  0xdb9cbd0e,
  0xdd0000cc,
  0x0008cc0c,
  0x498d0edd,
  0xdd6380cc,
  0xfefecc0a,
  0x7fcc0cdd,
  0x8d0eddff,
  0x2001cc6a,
  0x44cc08dd,
  0xcc0add50,
  0x0cdd0203,
  0x860d9dbd,
  0x017eb7df,
  0xcc607ece,
  0x04ed02ff,
  0xed9f9dcc,
  0x017eb602,
  0xf9272084,
  0x380edf38,
  0xdf380cdf,
  0x08df380a,
  0x607ece39,
  0xed30ffcc,
  0x2800cc04,
  0x08dc06ed,
  0x0adc00ed,
  0xcc5f97bd,
  0x06ed2900,
  0x97bd04a6,
  0x9a00ec68,
  0xed0dda0c,
  0x9a02ec00,
  0xbd0fda0e,
  0xce395f97,
  0xffcc607e,
  0xcc04ed30,
  0x06ed2800,
  0x00ed08dc,
  0x97bd0adc,
  0x2900cc5f,
  0x04a606ed,
  0xec6897bd,
  0xd40c9400,
  0xec00ed0d,
  0xd40e9402,
  0x5f97bd0f,
  0x607ece39,
  0x607ece18,
  0x3a180dd6,
  0xed30ffcc,
  0x2800cc04,
  0x08dc06ed,
  0x0adc00ed,
  0xcc5f97bd,
  0x06ed2900,
  0x97bd04a6,
  0x00e61868,
  0xf4260cd4,
  0x39064f39,
  0xfc203e0e,
  0x28202001,
  0x00000000,
  0x20202001,
  0x00000000,
  0x24202001,
  0x00000000,
  0x2c202001,
  0x00000000,
  0x28000008,
  0x04ff3000,
  0x002901c0,
  0xc004ff30,
  0x30002800,
  0x01c004ff,
  0xff300029,
  0x2800c004,
  0x04ff3000,
  0x002901c0,
  0xc004ff30,
  0x30002800,
  0x01c004ff,
  0xff300029,
  0x0800c004,
  0x00280000,
  0xc004ff30,
  0x30002909,
  0x09c004ff,
  0xff300028,
  0x2909c004,
  0x04ff3000,
  0x002809c0,
  0xc004ff30,
  0x30002909,
  0x09c004ff,
  0xff300028,
  0x2909c004,
  0x04ff3000,
  0x000001c0
};

UINT32 DataBlock1[] = {
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x3b903b90,
  0x96d53b90,
  0x3b90aed5,
  0x04900490,
  0x04900490
};

SMU_FIRMWARE_BLOCK FmBlockArray[] = {
  {
    0x9000,
    0x377,
    &DataBlock0[0]
  },
  {
    0xbfc0,
    0x10,
    &DataBlock1[0]
  }
};

SMU_FIRMWARE_HEADER Fm = {
  {
    0x1, 0x200
  },
  2,
  &FmBlockArray[0]
};
#endif

